summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2022-07-11 17:58:53 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2022-07-11 17:58:53 +0200
commit6c7acd4a561968c178581e64642e7027dac429a3 (patch)
tree065a39038b76b2fd4259db7bd97073825a9d3786
parentapp-editors/okteta: Drop 0.26.7 (diff)
downloadgentoo-6c7acd4a561968c178581e64642e7027dac429a3.tar.gz
gentoo-6c7acd4a561968c178581e64642e7027dac429a3.tar.bz2
gentoo-6c7acd4a561968c178581e64642e7027dac429a3.zip
app-text/liblangtag: 0.6.4 version bump
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--app-text/liblangtag/Manifest1
-rw-r--r--app-text/liblangtag/liblangtag-0.6.4.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/app-text/liblangtag/Manifest b/app-text/liblangtag/Manifest
index 23a73ff0574..807aa173a3e 100644
--- a/app-text/liblangtag/Manifest
+++ b/app-text/liblangtag/Manifest
@@ -1 +1,2 @@
DIST liblangtag-0.6.3.tar.bz2 755492 BLAKE2B fb7b3cf5a4e6c3fabdce110ab208fa9e3537d8144839f2fc9779ff9de928afa416838c5c3c5317438ae0421806eb6ffb2207f6ad3dc02bcbf9123668187d22d2 SHA512 3dcfc20704dfaff05aeecdeef74fa81639fb70f930ebc0895fe4707ecd1d5b6221fe889449772811924d0c38329977c9d5fc751c3accbc272834b29c461f1fcf
+DIST liblangtag-0.6.4.tar.bz2 764946 BLAKE2B 1d94f341359f880acb8a0a0526da625cb39d85b33665b861c0fbd94064228a3d5328f3a3b7d62bffd29c6ff8161fa499b6565010ba3065c90f87b5902969e81f SHA512 6c6dd3e6b0fc8d6f10cafd74112cbaf2a2342a88a908ad2f7ae759b3f5fb0cf6d788504c1de072e9ef019f2f5a284daeb2d2393036b6b402c5bc87f32b55f271
diff --git a/app-text/liblangtag/liblangtag-0.6.4.ebuild b/app-text/liblangtag/liblangtag-0.6.4.ebuild
new file mode 100644
index 00000000000..ddaae38ff66
--- /dev/null
+++ b/app-text/liblangtag/liblangtag-0.6.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="Interface library to access tags for identifying languages"
+HOMEPAGE="https://bitbucket.org/tagoh/liblangtag/wiki/Home"
+SRC_URI="https://bitbucket.org/tagoh/${PN}/downloads/${P}.tar.bz2"
+
+LICENSE="|| ( LGPL-3 MPL-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="debug doc introspection test"
+
+# Upstream expect liblangtag to be installed when one runs tests...
+RESTRICT="test"
+
+RDEPEND="
+ dev-libs/libxml2
+ introspection? ( dev-libs/gobject-introspection )
+"
+DEPEND="${RDEPEND}
+ test? ( dev-libs/check )
+"
+BDEPEND="
+ sys-devel/gettext
+ sys-devel/libtool
+ doc? ( dev-util/gtk-doc )
+ introspection? ( dev-libs/gobject-introspection-common )
+"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+ if [[ -d docs/html ]]; then
+ rm -r docs/html || die "Failed to remove existing gtk-doc"
+ fi
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug)
+ $(use_enable doc gtk-doc)
+ $(use_enable introspection)
+ $(use_enable test)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -type f -delete || die
+}